//========================================================================//
//                        SOURCE CODE LICENSE                             //
//  Copyright 2014 Dassault Systmes SolidWorks Corporation               //
//  All rights reserved.                                                  //
//  This software and related documentation are proprietary to            // 
//  Dassault Systmes SolidWorks Corporation                              //
//========================================================================//
// dsDocument.js, JavaScript API dsDocument interface
//

djObjectExtendCollection.dsDocument = djDocumentExtend;

function djDocumentExtend(dsObj) {
	dsObj.release =  function() { return djProcessCommand(this, 'release', arguments); };
	dsObj.GetPathName = function() {return djProcessCommand(this, 'GetPathName', arguments); };
	dsObj.IsDirty = function() {return djProcessCommand(this, 'IsDirty', arguments); };
	dsObj.GetBlockDefinitions = function() {return djProcessCommand(this, 'GetBlockDefinitions', arguments); };
	dsObj.GetModel = function() {return djProcessCommand(this, 'GetModel', arguments); };
	dsObj.GetSheets = function() {return djProcessCommand(this, 'GetSheets', arguments); };
	dsObj.GetSelectionManager = function() {return djProcessCommand(this, 'GetSelectionManager', arguments); };
	dsObj.GetExternalReferences = function() {return djProcessCommand(this, 'GetExternalReferences', arguments); };
	dsObj.Save = function() {return djProcessCommand(this, 'Save', arguments); };
	dsObj.SaveAs = function(Name, Options) {return djProcessCommand(this, 'SaveAs', arguments); };
	dsObj.IsReadOnly = function() {return djProcessCommand(this, 'IsReadOnly', arguments); };
	dsObj.GetBaseAngle = function() {return djProcessCommand(this, 'GetBaseAngle', arguments); };
	dsObj.SetBaseAngle = function(Angle, Clockwise) {return djProcessCommand(this, 'SetBaseAngle', arguments); };
	dsObj.GetLengthUnitExpression = function() {return djProcessCommand(this, 'GetLengthUnitExpression', arguments); };
	dsObj.SetLengthUnitExpression = function(LengthType, Precision) {return djProcessCommand(this, 'SetLengthUnitExpression', arguments); };
	dsObj.GetAngleUnitExpression = function() {return djProcessCommand(this, 'GetAngleUnitExpression', arguments); };
	dsObj.SetAngleUnitExpression = function(AngleType, Precision) {return djProcessCommand(this, 'SetAngleUnitExpression', arguments); };
	dsObj.get_ScaleUnit = function() {return djProcessCommand(this, 'get_ScaleUnit', arguments); };
	dsObj.put_ScaleUnit = function(NewVal) {return djProcessCommand(this, 'put_ScaleUnit', arguments); };
	dsObj.IsActive = function() {return djProcessCommand(this, 'IsActive', arguments); };
	dsObj.Activate = function() {return djProcessCommand(this, 'Activate', arguments); };
	dsObj.get_DimensionScale = function() {return djProcessCommand(this, 'get_DimensionScale', arguments); };
	dsObj.put_DimensionScale = function(NewVal) {return djProcessCommand(this, 'put_DimensionScale', arguments); };
	dsObj.GetDocumentExporter = function() {return djProcessCommand(this, 'GetDocumentExporter', arguments); };
	dsObj.GetLayerManager = function() {return djProcessCommand(this, 'GetLayerManager', arguments); };
	dsObj.GetCommandOptionInt8 = function(Var) {return djProcessCommand(this, 'GetCommandOptionInt8', arguments); };
	dsObj.GetCommandOptionInt16 = function(Var) {return djProcessCommand(this, 'GetCommandOptionInt16', arguments); };
	dsObj.GetCommandOptionInt32 = function(Var) {return djProcessCommand(this, 'GetCommandOptionInt32', arguments); };
	dsObj.GetCommandOptionDouble = function(Var) {return djProcessCommand(this, 'GetCommandOptionDouble', arguments); };
	dsObj.GetCommandOptionBool = function(Var) {return djProcessCommand(this, 'GetCommandOptionBool', arguments); };
	dsObj.GetCommandOptionString = function(Var) {return djProcessCommand(this, 'GetCommandOptionString', arguments); };
	dsObj.GetCommandOptionPoint2D = function(Var) {return djProcessCommand(this, 'GetCommandOptionPoint2D', arguments); };
	dsObj.GetCommandOptionPoint3D = function(Var) {return djProcessCommand(this, 'GetCommandOptionPoint3D', arguments); };
	dsObj.SetCommandOptionInt8 = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionInt8', arguments); };
	dsObj.SetCommandOptionInt16 = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionInt16', arguments); };
	dsObj.SetCommandOptionInt32 = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionInt32', arguments); };
	dsObj.SetCommandOptionDouble = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionDouble', arguments); };
	dsObj.SetCommandOptionBool = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionBool', arguments); };
	dsObj.SetCommandOptionString = function(Var, Value) {return djProcessCommand(this, 'SetCommandOptionString', arguments); };
	dsObj.SetCommandOptionPoint2D = function(Var, X, Y) {return djProcessCommand(this, 'SetCommandOptionPoint2D', arguments); };
	dsObj.SetCommandOptionPoint3D = function(Var, X, Y, Z) {return djProcessCommand(this, 'SetCommandOptionPoint3D', arguments); };
	dsObj.GetTextStyleManager = function() {return djProcessCommand(this, 'GetTextStyleManager', arguments); };
	dsObj.GetDimensionStyleManager = function() {return djProcessCommand(this, 'GetDimensionStyleManager', arguments); };
	dsObj.GetRichLineStyleManager = function() {return djProcessCommand(this, 'GetRichLineStyleManager', arguments); };
	dsObj.GetRegisteredApplications = function() {return djProcessCommand(this, 'GetRegisteredApplications', arguments); };
	dsObj.Rebuild = function(RebuildType) {return djProcessCommand(this, 'Rebuild', arguments); };
	dsObj.SaveAs2 = function(Name, Options, Overwrite) {return djProcessCommand(this, 'SaveAs2', arguments); };
	dsObj.GetObjectByHandle = function(Handle) {return djProcessCommand(this, 'GetObjectByHandle', arguments); };
	dsObj.CreateBlockDefinition = function(BlockName, Description, BasePointX, BasePointY, BasePointZ, EntityTypeLongArray, EntitiesArray, BlockDefinitionEntities) {return djProcessCommand(this, 'CreateBlockDefinition', arguments); };
	dsObj.ErrorCheck = function(FixErrors) {return djProcessCommand(this, 'ErrorCheck', arguments); };
	dsObj.Clean = function(EntityTypesForClean, DeleteDependedEntities) {return djProcessCommand(this, 'Clean', arguments); };
	dsObj.GetCustomCoordinateSystemManager = function() {return djProcessCommand(this, 'GetCustomCoordinateSystemManager', arguments); };
	dsObj.GetViewManager = function() {return djProcessCommand(this, 'GetViewManager', arguments); };
	dsObj.GetHandleFromObject = function(Obj) {return djProcessCommand(this, 'GetHandleFromObject', arguments); };
	dsObj.GetWindow = function() {return djProcessCommand(this, 'GetWindow', arguments); };
	dsObj.GetTableStyleManager = function() {return djProcessCommand(this, 'GetTableStyleManager', arguments); };
	dsObj.Pan = function(PanX, PanY) {return djProcessCommand(this, 'Pan', arguments); };
	dsObj.CreateGroup = function(Name, Unnamed, Description, EntitiesArray) {return djProcessCommand(this, 'CreateGroup', arguments); };
	dsObj.GetGroups = function() {return djProcessCommand(this, 'GetGroups', arguments); };
	dsObj.GetGroup = function(Name) {return djProcessCommand(this, 'GetGroup', arguments); };
	dsObj.GetNamedObjectsDictionary = function() {return djProcessCommand(this, 'GetNamedObjectsDictionary', arguments); };
	dsObj.GetLineStyleManager = function() {return djProcessCommand(this, 'GetLineStyleManager', arguments); };
	dsObj.GetShapeManager = function() {return djProcessCommand(this, 'GetShapeManager', arguments); };
	dsObj.CreateLispFunction = function(ApiUuid, Name) {return djProcessCommand(this, 'CreateLispFunction', arguments); };
	dsObj.RemoveLispFunction = function(FunctionName) {return djProcessCommand(this, 'RemoveLispFunction', arguments); };
	dsObj.InvokeLisp = function(LispExpression) {return djProcessCommand(this, 'InvokeLisp', arguments); };
	dsObj.HasBlockDefinition = function(BlockName) {return djProcessCommand(this, 'HasBlockDefinition', arguments); };
	dsObj.GetBlockDefinition = function(BlockName) {return djProcessCommand(this, 'GetBlockDefinition', arguments); };
	dsObj.CreateHighlightSet = function(EntitiesArray) {return djProcessCommand(this, 'CreateHighlightSet', arguments); };
	dsObj.GetDrawingProperties = function() {return djProcessCommand(this, 'GetDrawingProperties', arguments); };
	dsObj.CreateSheet = function(Name) {return djProcessCommand(this, 'CreateSheet', arguments); };
	dsObj.CreateSheetByTemplate = function(Name, TemplateFileName, TemplateSheetName) {return djProcessCommand(this, 'CreateSheetByTemplate', arguments); };
	dsObj.CopySheet = function(Name, SheetToCopy) {return djProcessCommand(this, 'CopySheet', arguments); };
	dsObj.RemoveSheet = function(Name) {return djProcessCommand(this, 'RemoveSheet', arguments); };
	dsObj.HasSheet = function(Name) {return djProcessCommand(this, 'HasSheet', arguments); };
	dsObj.GetSheet = function(Name) {return djProcessCommand(this, 'GetSheet', arguments); };
	dsObj.GetSheets2 = function() {return djProcessCommand(this, 'GetSheets2', arguments); };
	//Add forward methods above this line
}
