//========================================================================//
//                        SOURCE CODE LICENSE                             //
//  Copyright 2014 Dassault Systmes SolidWorks Corporation               //
//  All rights reserved.                                                  //
//  This software and related documentation are proprietary to            // 
//  Dassault Systmes SolidWorks Corporation                              //
//========================================================================//
// dsPolyLine.js, JavaScript API dsPolyLine interface
//

djObjectExtendCollection.dsPolyLine = djPolyLineExtend;

function djPolyLineExtend(dsObj) {
	dsObj.release =  function() { return djProcessCommand(this, 'release', arguments); };
	dsObj.get_Layer = function() {return djProcessCommand(this, 'get_Layer', arguments); };
	dsObj.put_Layer = function(NewVal) {return djProcessCommand(this, 'put_Layer', arguments); };
	dsObj.get_LineStyle = function() {return djProcessCommand(this, 'get_LineStyle', arguments); };
	dsObj.put_LineStyle = function(NewVal) {return djProcessCommand(this, 'put_LineStyle', arguments); };
	dsObj.get_LineScale = function() {return djProcessCommand(this, 'get_LineScale', arguments); };
	dsObj.put_LineScale = function(NewVal) {return djProcessCommand(this, 'put_LineScale', arguments); };
	dsObj.get_LineWeight = function() {return djProcessCommand(this, 'get_LineWeight', arguments); };
	dsObj.put_LineWeight = function(NewVal) {return djProcessCommand(this, 'put_LineWeight', arguments); };
	dsObj.get_Visible = function() {return djProcessCommand(this, 'get_Visible', arguments); };
	dsObj.put_Visible = function(NewVal) {return djProcessCommand(this, 'put_Visible', arguments); };
	dsObj.Select = function(SelectFlag) {return djProcessCommand(this, 'Select', arguments); };
	dsObj.get_Color = function() {return djProcessCommand(this, 'get_Color', arguments); };
	dsObj.put_Color = function(NewVal) {return djProcessCommand(this, 'put_Color', arguments); };
	dsObj.get_GlobalWidth = function() {return djProcessCommand(this, 'get_GlobalWidth', arguments); };
	dsObj.put_GlobalWidth = function(NewVal) {return djProcessCommand(this, 'put_GlobalWidth', arguments); };
	dsObj.get_Closed = function() {return djProcessCommand(this, 'get_Closed', arguments); };
	dsObj.put_Closed = function(NewVal) {return djProcessCommand(this, 'put_Closed', arguments); };
	dsObj.get_LineStyleGeneration = function() {return djProcessCommand(this, 'get_LineStyleGeneration', arguments); };
	dsObj.put_LineStyleGeneration = function(NewVal) {return djProcessCommand(this, 'put_LineStyleGeneration', arguments); };
	dsObj.GetVerticesCount = function() {return djProcessCommand(this, 'GetVerticesCount', arguments); };
	dsObj.GetVertexCoordinate = function(VertexIndex) {return djProcessCommand(this, 'GetVertexCoordinate', arguments); };
	dsObj.GetSegmentStartWidth = function(SegmentIndex) {return djProcessCommand(this, 'GetSegmentStartWidth', arguments); };
	dsObj.GetSegmentEndWidth = function(SegmentIndex) {return djProcessCommand(this, 'GetSegmentEndWidth', arguments); };
	dsObj.SetVertexCoordinate = function(VertexIndex, X, Y) {return djProcessCommand(this, 'SetVertexCoordinate', arguments); };
	dsObj.SetSegmentStartWidth = function(SegmentIndex, StartWidth) {return djProcessCommand(this, 'SetSegmentStartWidth', arguments); };
	dsObj.SetSegmentEndWidth = function(SegmentIndex, EndWidth) {return djProcessCommand(this, 'SetSegmentEndWidth', arguments); };
	dsObj.AddVertexAfter = function(VertexIndex, X, Y) {return djProcessCommand(this, 'AddVertexAfter', arguments); };
	dsObj.Split = function(VertexIndex) {return djProcessCommand(this, 'Split', arguments); };
	dsObj.get_Erased = function() {return djProcessCommand(this, 'get_Erased', arguments); };
	dsObj.put_Erased = function(NewVal) {return djProcessCommand(this, 'put_Erased', arguments); };
	dsObj.Decurve = function() {return djProcessCommand(this, 'Decurve', arguments); };
	dsObj.Fit = function() {return djProcessCommand(this, 'Fit', arguments); };
	dsObj.Spline = function() {return djProcessCommand(this, 'Spline', arguments); };
	dsObj.JoinLine = function(Line) {return djProcessCommand(this, 'JoinLine', arguments); };
	dsObj.JoinCircleArc = function(Arc) {return djProcessCommand(this, 'JoinCircleArc', arguments); };
	dsObj.JoinPolyLine = function(PolyLine) {return djProcessCommand(this, 'JoinPolyLine', arguments); };
	dsObj.get_Type = function() {return djProcessCommand(this, 'get_Type', arguments); };
	dsObj.GetSegmentAngle = function(SegmentIndex) {return djProcessCommand(this, 'GetSegmentAngle', arguments); };
	dsObj.SetSegmentAngle = function(SegmentIndex, Angle) {return djProcessCommand(this, 'SetSegmentAngle', arguments); };
	dsObj.GetCustomData = function(ApplicationName) {return djProcessCommand(this, 'GetCustomData', arguments); };
	dsObj.SetCustomData = function(ApplicationName, CustomData) {return djProcessCommand(this, 'SetCustomData', arguments); };
	dsObj.DeleteCustomData = function(ApplicationName) {return djProcessCommand(this, 'DeleteCustomData', arguments); };
	dsObj.get_Handle = function() {return djProcessCommand(this, 'get_Handle', arguments); };
	dsObj.GetLength = function() {return djProcessCommand(this, 'GetLength', arguments); };
	dsObj.GetClosestPointOn = function(GivenPointX, GivenPointY, GivenPointZ) {return djProcessCommand(this, 'GetClosestPointOn', arguments); };
	dsObj.GetEndParams = function() {return djProcessCommand(this, 'GetEndParams', arguments); };
	dsObj.EvaluateAtParameter = function(Parameter) {return djProcessCommand(this, 'EvaluateAtParameter', arguments); };
	dsObj.EvaluateAtPoint = function(PointOnCurveX, PointOnCurveY, PointOnCurveZ) {return djProcessCommand(this, 'EvaluateAtPoint', arguments); };
	dsObj.EvaluateAtDistance = function(Distance) {return djProcessCommand(this, 'EvaluateAtDistance', arguments); };
	dsObj.GetHyperLink = function() {return djProcessCommand(this, 'GetHyperLink', arguments); };
	dsObj.SetHyperLink = function(HyperLink) {return djProcessCommand(this, 'SetHyperLink', arguments); };
	dsObj.DeleteHyperLink = function() {return djProcessCommand(this, 'DeleteHyperLink', arguments); };
	dsObj.GetBoundingBox = function() {return djProcessCommand(this, 'GetBoundingBox', arguments); };
	dsObj.get_Elevation = function() {return djProcessCommand(this, 'get_Elevation', arguments); };
	dsObj.put_Elevation = function(Val) {return djProcessCommand(this, 'put_Elevation', arguments); };
	dsObj.get_Thickness = function() {return djProcessCommand(this, 'get_Thickness', arguments); };
	dsObj.put_Thickness = function(Val) {return djProcessCommand(this, 'put_Thickness', arguments); };
	dsObj.RemoveVertex = function(VertexIndex) {return djProcessCommand(this, 'RemoveVertex', arguments); };
	dsObj.Straighten = function(VertexIndexStart, VertexIndexEnd) {return djProcessCommand(this, 'Straighten', arguments); };
	dsObj.GetSegmentType = function(SegmentIndex) {return djProcessCommand(this, 'GetSegmentType', arguments); };
	dsObj.GetNormal = function() {return djProcessCommand(this, 'GetNormal', arguments); };
	dsObj.SetNormal = function(Normal) {return djProcessCommand(this, 'SetNormal', arguments); };
	dsObj.CreateExtensionDictionary = function() {return djProcessCommand(this, 'CreateExtensionDictionary', arguments); };
	dsObj.GetExtensionDictionary = function() {return djProcessCommand(this, 'GetExtensionDictionary', arguments); };
	dsObj.ReleaseExtensionDictionary = function() {return djProcessCommand(this, 'ReleaseExtensionDictionary', arguments); };
	dsObj.get_PrintStyle = function() {return djProcessCommand(this, 'get_PrintStyle', arguments); };
	dsObj.put_PrintStyle = function(NewVal) {return djProcessCommand(this, 'put_PrintStyle', arguments); };
	dsObj.get_Transparency = function() {return djProcessCommand(this, 'get_Transparency', arguments); };
	dsObj.put_Transparency = function(NewVal) {return djProcessCommand(this, 'put_Transparency', arguments); };
	//Add forward methods above this line
}
