//========================================================================//
//                        SOURCE CODE LICENSE                             //
//  Copyright 2014 Dassault Systmes SolidWorks Corporation               //
//  All rights reserved.                                                  //
//  This software and related documentation are proprietary to            // 
//  Dassault Systmes SolidWorks Corporation                              //
//========================================================================//
// dsPolyLine3D.js, JavaScript API dsPolyLine3D interface
//

djObjectExtendCollection.dsPolyLine3D = djPolyLine3DExtend;

function djPolyLine3DExtend(dsObj) {
	dsObj.release =  function() { return djProcessCommand(this, 'release', arguments); };
	dsObj.get_Layer = function() {return djProcessCommand(this, 'get_Layer', arguments); };
	dsObj.put_Layer = function(NewVal) {return djProcessCommand(this, 'put_Layer', arguments); };
	dsObj.get_LineStyle = function() {return djProcessCommand(this, 'get_LineStyle', arguments); };
	dsObj.put_LineStyle = function(NewVal) {return djProcessCommand(this, 'put_LineStyle', arguments); };
	dsObj.get_LineScale = function() {return djProcessCommand(this, 'get_LineScale', arguments); };
	dsObj.put_LineScale = function(NewVal) {return djProcessCommand(this, 'put_LineScale', arguments); };
	dsObj.get_LineWeight = function() {return djProcessCommand(this, 'get_LineWeight', arguments); };
	dsObj.put_LineWeight = function(NewVal) {return djProcessCommand(this, 'put_LineWeight', arguments); };
	dsObj.get_Visible = function() {return djProcessCommand(this, 'get_Visible', arguments); };
	dsObj.put_Visible = function(NewVal) {return djProcessCommand(this, 'put_Visible', arguments); };
	dsObj.Select = function(SelectFlag) {return djProcessCommand(this, 'Select', arguments); };
	dsObj.get_Color = function() {return djProcessCommand(this, 'get_Color', arguments); };
	dsObj.put_Color = function(NewVal) {return djProcessCommand(this, 'put_Color', arguments); };
	dsObj.get_Erased = function() {return djProcessCommand(this, 'get_Erased', arguments); };
	dsObj.put_Erased = function(NewVal) {return djProcessCommand(this, 'put_Erased', arguments); };
	dsObj.GetCustomData = function(ApplicationName) {return djProcessCommand(this, 'GetCustomData', arguments); };
	dsObj.SetCustomData = function(ApplicationName, CustomData) {return djProcessCommand(this, 'SetCustomData', arguments); };
	dsObj.DeleteCustomData = function(ApplicationName) {return djProcessCommand(this, 'DeleteCustomData', arguments); };
	dsObj.get_Handle = function() {return djProcessCommand(this, 'get_Handle', arguments); };
	dsObj.get_Closed = function() {return djProcessCommand(this, 'get_Closed', arguments); };
	dsObj.put_Closed = function(NewVal) {return djProcessCommand(this, 'put_Closed', arguments); };
	dsObj.get_FitSmooth = function() {return djProcessCommand(this, 'get_FitSmooth', arguments); };
	dsObj.put_FitSmooth = function(NewVal) {return djProcessCommand(this, 'put_FitSmooth', arguments); };
	dsObj.GetVerticesCount = function() {return djProcessCommand(this, 'GetVerticesCount', arguments); };
	dsObj.GetVertexCoordinate = function(VertexIndex) {return djProcessCommand(this, 'GetVertexCoordinate', arguments); };
	dsObj.SetVertexCoordinate = function(VertexIndex, X, Y, Z) {return djProcessCommand(this, 'SetVertexCoordinate', arguments); };
	dsObj.AddVertexAfter = function(VertexIndex, X, Y, Z) {return djProcessCommand(this, 'AddVertexAfter', arguments); };
	dsObj.Split = function(VertexIndex) {return djProcessCommand(this, 'Split', arguments); };
	dsObj.Decurve = function() {return djProcessCommand(this, 'Decurve', arguments); };
	dsObj.Spline = function() {return djProcessCommand(this, 'Spline', arguments); };
	dsObj.GetHyperLink = function() {return djProcessCommand(this, 'GetHyperLink', arguments); };
	dsObj.SetHyperLink = function(HyperLink) {return djProcessCommand(this, 'SetHyperLink', arguments); };
	dsObj.DeleteHyperLink = function() {return djProcessCommand(this, 'DeleteHyperLink', arguments); };
	dsObj.GetLength = function() {return djProcessCommand(this, 'GetLength', arguments); };
	dsObj.GetClosestPointOn = function(GivenPointX, GivenPointY, GivenPointZ) {return djProcessCommand(this, 'GetClosestPointOn', arguments); };
	dsObj.GetEndParams = function() {return djProcessCommand(this, 'GetEndParams', arguments); };
	dsObj.EvaluateAtParameter = function(Parameter) {return djProcessCommand(this, 'EvaluateAtParameter', arguments); };
	dsObj.EvaluateAtPoint = function(PointOnCurveX, PointOnCurveY, PointOnCurveZ) {return djProcessCommand(this, 'EvaluateAtPoint', arguments); };
	dsObj.EvaluateAtDistance = function(Distance) {return djProcessCommand(this, 'EvaluateAtDistance', arguments); };
	dsObj.GetBoundingBox = function() {return djProcessCommand(this, 'GetBoundingBox', arguments); };
	dsObj.RemoveVertex = function(VertexIndex) {return djProcessCommand(this, 'RemoveVertex', arguments); };
	dsObj.Straighten = function(VertexIndexStart, VertexIndexEnd) {return djProcessCommand(this, 'Straighten', arguments); };
	dsObj.CreateExtensionDictionary = function() {return djProcessCommand(this, 'CreateExtensionDictionary', arguments); };
	dsObj.GetExtensionDictionary = function() {return djProcessCommand(this, 'GetExtensionDictionary', arguments); };
	dsObj.ReleaseExtensionDictionary = function() {return djProcessCommand(this, 'ReleaseExtensionDictionary', arguments); };
	dsObj.get_PrintStyle = function() {return djProcessCommand(this, 'get_PrintStyle', arguments); };
	dsObj.put_PrintStyle = function(NewVal) {return djProcessCommand(this, 'put_PrintStyle', arguments); };
	dsObj.get_Transparency = function() {return djProcessCommand(this, 'get_Transparency', arguments); };
	dsObj.put_Transparency = function(NewVal) {return djProcessCommand(this, 'put_Transparency', arguments); };
	//Add forward methods above this line
}
