//========================================================================//
//                        SOURCE CODE LICENSE                             //
//  Copyright 2014 Dassault Systmes SolidWorks Corporation               //
//  All rights reserved.                                                  //
//  This software and related documentation are proprietary to            // 
//  Dassault Systmes SolidWorks Corporation                              //
//========================================================================//
// dsPrintManager.js, JavaScript API dsPrintManager interface
//

djObjectExtendCollection.dsPrintManager = djPrintManagerExtend;

function djPrintManagerExtend(dsObj) {
	dsObj.release =  function() { return djProcessCommand(this, 'release', arguments); };
	dsObj.get_Printer = function() {return djProcessCommand(this, 'get_Printer', arguments); };
	dsObj.put_Printer = function(NewVal) {return djProcessCommand(this, 'put_Printer', arguments); };
	dsObj.GetPaperSize = function() {return djProcessCommand(this, 'GetPaperSize', arguments); };
	dsObj.SetClosestValidPaperSize = function(Length, Width) {return djProcessCommand(this, 'SetClosestValidPaperSize', arguments); };
	dsObj.get_ScaleToFit = function() {return djProcessCommand(this, 'get_ScaleToFit', arguments); };
	dsObj.put_ScaleToFit = function(NewVal) {return djProcessCommand(this, 'put_ScaleToFit', arguments); };
	dsObj.get_UserScale = function() {return djProcessCommand(this, 'get_UserScale', arguments); };
	dsObj.put_UserScale = function(NewVal) {return djProcessCommand(this, 'put_UserScale', arguments); };
	dsObj.get_ScaleLineWeight = function() {return djProcessCommand(this, 'get_ScaleLineWeight', arguments); };
	dsObj.put_ScaleLineWeight = function(NewVal) {return djProcessCommand(this, 'put_ScaleLineWeight', arguments); };
	dsObj.GetPrintMargins = function() {return djProcessCommand(this, 'GetPrintMargins', arguments); };
	dsObj.SetPrintMargins = function(Top, Bottom, Left, Right) {return djProcessCommand(this, 'SetPrintMargins', arguments); };
	dsObj.get_StyleTable = function() {return djProcessCommand(this, 'get_StyleTable', arguments); };
	dsObj.put_StyleTable = function(NewVal) {return djProcessCommand(this, 'put_StyleTable', arguments); };
	dsObj.get_ViewDisplayStyle = function() {return djProcessCommand(this, 'get_ViewDisplayStyle', arguments); };
	dsObj.put_ViewDisplayStyle = function(NewVal) {return djProcessCommand(this, 'put_ViewDisplayStyle', arguments); };
	dsObj.get_Quality = function() {return djProcessCommand(this, 'get_Quality', arguments); };
	dsObj.put_Quality = function(NewVal) {return djProcessCommand(this, 'put_Quality', arguments); };
	dsObj.get_Orientation = function() {return djProcessCommand(this, 'get_Orientation', arguments); };
	dsObj.put_Orientation = function(NewVal) {return djProcessCommand(this, 'put_Orientation', arguments); };
	dsObj.get_PrintOnCenter = function() {return djProcessCommand(this, 'get_PrintOnCenter', arguments); };
	dsObj.put_PrintOnCenter = function(NewVal) {return djProcessCommand(this, 'put_PrintOnCenter', arguments); };
	dsObj.GetPrintOffset = function() {return djProcessCommand(this, 'GetPrintOffset', arguments); };
	dsObj.SetPrintOffset = function(XOffset, YOffset) {return djProcessCommand(this, 'SetPrintOffset', arguments); };
	dsObj.PrintOut = function(Copies, FileName) {return djProcessCommand(this, 'PrintOut', arguments); };
	dsObj.AvailablePaperSizes = function() {return djProcessCommand(this, 'AvailablePaperSizes', arguments); };
	dsObj.get_PaperSize = function() {return djProcessCommand(this, 'get_PaperSize', arguments); };
	dsObj.put_PaperSize = function(NewVal) {return djProcessCommand(this, 'put_PaperSize', arguments); };
	dsObj.GetUserScaleValue = function() {return djProcessCommand(this, 'GetUserScaleValue', arguments); };
	dsObj.SetUserScaleValue = function(PaperUnits, DrawingUnits) {return djProcessCommand(this, 'SetUserScaleValue', arguments); };
	dsObj.GetStandardScale = function() {return djProcessCommand(this, 'GetStandardScale', arguments); };
	dsObj.SetStandardScale = function(StdScaleType) {return djProcessCommand(this, 'SetStandardScale', arguments); };
	dsObj.SetPrintRange = function(PrintRange, NamedView, WithinSpecifiedWindow, WinXMin, WinYMin, WinXMax, WinYMax) {return djProcessCommand(this, 'SetPrintRange', arguments); };
	dsObj.get_PrintInverse = function() {return djProcessCommand(this, 'get_PrintInverse', arguments); };
	dsObj.put_PrintInverse = function(NewVal) {return djProcessCommand(this, 'put_PrintInverse', arguments); };
	dsObj.get_HideGeometryOnSheet = function() {return djProcessCommand(this, 'get_HideGeometryOnSheet', arguments); };
	dsObj.put_HideGeometryOnSheet = function(NewVal) {return djProcessCommand(this, 'put_HideGeometryOnSheet', arguments); };
	dsObj.get_PrintInBackground = function() {return djProcessCommand(this, 'get_PrintInBackground', arguments); };
	dsObj.put_PrintInBackground = function(NewVal) {return djProcessCommand(this, 'put_PrintInBackground', arguments); };
	dsObj.get_PrintSheetLast = function() {return djProcessCommand(this, 'get_PrintSheetLast', arguments); };
	dsObj.put_PrintSheetLast = function(NewVal) {return djProcessCommand(this, 'put_PrintSheetLast', arguments); };
	dsObj.get_UseAssignedLineWeight = function() {return djProcessCommand(this, 'get_UseAssignedLineWeight', arguments); };
	dsObj.put_UseAssignedLineWeight = function(NewVal) {return djProcessCommand(this, 'put_UseAssignedLineWeight', arguments); };
	dsObj.get_UseAssignedPrintStyle = function() {return djProcessCommand(this, 'get_UseAssignedPrintStyle', arguments); };
	dsObj.put_UseAssignedPrintStyle = function(NewVal) {return djProcessCommand(this, 'put_UseAssignedPrintStyle', arguments); };
	dsObj.GetPrintRange = function() {return djProcessCommand(this, 'GetPrintRange', arguments); };
	dsObj.GetAvailablePrinters = function() {return djProcessCommand(this, 'GetAvailablePrinters', arguments); };
	dsObj.AvailablePaperSizesInLocale = function() {return djProcessCommand(this, 'AvailablePaperSizesInLocale', arguments); };
	dsObj.PaperSizeInLocale = function(PaperSize) {return djProcessCommand(this, 'PaperSizeInLocale', arguments); };
	//Add forward methods above this line
}
