//========================================================================//
//                        SOURCE CODE LICENSE                             //
//  Copyright 2014 Dassault Systmes SolidWorks Corporation               //
//  All rights reserved.                                                  //
//  This software and related documentation are proprietary to            // 
//  Dassault Systmes SolidWorks Corporation                              //
//========================================================================//
// dsTable.js, JavaScript API dsTable interface
//

djObjectExtendCollection.dsTable = djTableExtend;

function djTableExtend(dsObj) {
	dsObj.release =  function() { return djProcessCommand(this, 'release', arguments); };
	dsObj.get_Layer = function() {return djProcessCommand(this, 'get_Layer', arguments); };
	dsObj.put_Layer = function(NewVal) {return djProcessCommand(this, 'put_Layer', arguments); };
	dsObj.get_LineStyle = function() {return djProcessCommand(this, 'get_LineStyle', arguments); };
	dsObj.put_LineStyle = function(NewVal) {return djProcessCommand(this, 'put_LineStyle', arguments); };
	dsObj.get_LineScale = function() {return djProcessCommand(this, 'get_LineScale', arguments); };
	dsObj.put_LineScale = function(NewVal) {return djProcessCommand(this, 'put_LineScale', arguments); };
	dsObj.get_LineWeight = function() {return djProcessCommand(this, 'get_LineWeight', arguments); };
	dsObj.put_LineWeight = function(NewVal) {return djProcessCommand(this, 'put_LineWeight', arguments); };
	dsObj.get_Visible = function() {return djProcessCommand(this, 'get_Visible', arguments); };
	dsObj.put_Visible = function(NewVal) {return djProcessCommand(this, 'put_Visible', arguments); };
	dsObj.Select = function(SelectFlag) {return djProcessCommand(this, 'Select', arguments); };
	dsObj.get_Color = function() {return djProcessCommand(this, 'get_Color', arguments); };
	dsObj.put_Color = function(NewVal) {return djProcessCommand(this, 'put_Color', arguments); };
	dsObj.get_Erased = function() {return djProcessCommand(this, 'get_Erased', arguments); };
	dsObj.put_Erased = function(NewVal) {return djProcessCommand(this, 'put_Erased', arguments); };
	dsObj.get_TableStyle = function() {return djProcessCommand(this, 'get_TableStyle', arguments); };
	dsObj.put_TableStyle = function(NewVal) {return djProcessCommand(this, 'put_TableStyle', arguments); };
	dsObj.get_Handle = function() {return djProcessCommand(this, 'get_Handle', arguments); };
	dsObj.GetCustomData = function(ApplicationName) {return djProcessCommand(this, 'GetCustomData', arguments); };
	dsObj.SetCustomData = function(ApplicationName, CustomData) {return djProcessCommand(this, 'SetCustomData', arguments); };
	dsObj.DeleteCustomData = function(ApplicationName) {return djProcessCommand(this, 'DeleteCustomData', arguments); };
	dsObj.GetHyperLink = function() {return djProcessCommand(this, 'GetHyperLink', arguments); };
	dsObj.SetHyperLink = function(HyperLink) {return djProcessCommand(this, 'SetHyperLink', arguments); };
	dsObj.DeleteHyperLink = function() {return djProcessCommand(this, 'DeleteHyperLink', arguments); };
	dsObj.GetBoundingBox = function() {return djProcessCommand(this, 'GetBoundingBox', arguments); };
	dsObj.GetNormal = function() {return djProcessCommand(this, 'GetNormal', arguments); };
	dsObj.SetNormal = function(Normal) {return djProcessCommand(this, 'SetNormal', arguments); };
	dsObj.GetText = function(Row, Column) {return djProcessCommand(this, 'GetText', arguments); };
	dsObj.SetText = function(Row, Column, CellText) {return djProcessCommand(this, 'SetText', arguments); };
	dsObj.DeleteColumn = function(Index) {return djProcessCommand(this, 'DeleteColumn', arguments); };
	dsObj.DeleteRow = function(Index) {return djProcessCommand(this, 'DeleteRow', arguments); };
	dsObj.TotalColumnCount = function() {return djProcessCommand(this, 'TotalColumnCount', arguments); };
	dsObj.TotalRowCount = function() {return djProcessCommand(this, 'TotalRowCount', arguments); };
	dsObj.InsertColumn = function(Index, Width) {return djProcessCommand(this, 'InsertColumn', arguments); };
	dsObj.InsertRow = function(Index, Height) {return djProcessCommand(this, 'InsertRow', arguments); };
	dsObj.GetRowHeight = function(Row) {return djProcessCommand(this, 'GetRowHeight', arguments); };
	dsObj.SetRowHeight = function(Height) {return djProcessCommand(this, 'SetRowHeight', arguments); };
	dsObj.SetRowHeightAt = function(Row, Height) {return djProcessCommand(this, 'SetRowHeightAt', arguments); };
	dsObj.GetColumnWidth = function(Column) {return djProcessCommand(this, 'GetColumnWidth', arguments); };
	dsObj.SetColumnWidth = function(Width) {return djProcessCommand(this, 'SetColumnWidth', arguments); };
	dsObj.SetColumnWidthAt = function(Column, Width) {return djProcessCommand(this, 'SetColumnWidthAt', arguments); };
	dsObj.SaveAsCSVFile = function(FileName) {return djProcessCommand(this, 'SaveAsCSVFile', arguments); };
	dsObj.GetPosition = function() {return djProcessCommand(this, 'GetPosition', arguments); };
	dsObj.SetPosition = function(X, Y, Z) {return djProcessCommand(this, 'SetPosition', arguments); };
	dsObj.CreateExtensionDictionary = function() {return djProcessCommand(this, 'CreateExtensionDictionary', arguments); };
	dsObj.GetExtensionDictionary = function() {return djProcessCommand(this, 'GetExtensionDictionary', arguments); };
	dsObj.ReleaseExtensionDictionary = function() {return djProcessCommand(this, 'ReleaseExtensionDictionary', arguments); };
	dsObj.get_Direction = function() {return djProcessCommand(this, 'get_Direction', arguments); };
	dsObj.put_Direction = function(NewVal) {return djProcessCommand(this, 'put_Direction', arguments); };
	dsObj.GetCellType = function(Row, Column) {return djProcessCommand(this, 'GetCellType', arguments); };
	dsObj.SetCellType = function(Row, Column, CellType) {return djProcessCommand(this, 'SetCellType', arguments); };
	dsObj.MergeCells = function(MinRow, MaxRow, MinColumn, MaxColumn) {return djProcessCommand(this, 'MergeCells', arguments); };
	dsObj.UnmergeCells = function(MinRow, MaxRow, MinColumn, MaxColumn) {return djProcessCommand(this, 'UnmergeCells', arguments); };
	dsObj.GetAlignment = function(CellType) {return djProcessCommand(this, 'GetAlignment', arguments); };
	dsObj.SetAlignment = function(CellType, Alignment) {return djProcessCommand(this, 'SetAlignment', arguments); };
	dsObj.GetCellAlignment = function(Row, Column) {return djProcessCommand(this, 'GetCellAlignment', arguments); };
	dsObj.SetCellAlignment = function(Row, Column, Alignment) {return djProcessCommand(this, 'SetCellAlignment', arguments); };
	dsObj.GetBackgroundColor = function(CellType) {return djProcessCommand(this, 'GetBackgroundColor', arguments); };
	dsObj.SetBackgroundColor = function(CellType, NewVal) {return djProcessCommand(this, 'SetBackgroundColor', arguments); };
	dsObj.GetCellBackgroundColor = function(Row, Column) {return djProcessCommand(this, 'GetCellBackgroundColor', arguments); };
	dsObj.SetCellBackgroundColor = function(Row, Column, NewVal) {return djProcessCommand(this, 'SetCellBackgroundColor', arguments); };
	dsObj.GetBordersColor = function(CellType, LineType) {return djProcessCommand(this, 'GetBordersColor', arguments); };
	dsObj.SetBordersColor = function(CellType, LineType, NewVal) {return djProcessCommand(this, 'SetBordersColor', arguments); };
	dsObj.GetCellBordersColor = function(Row, Column, LineType) {return djProcessCommand(this, 'GetCellBordersColor', arguments); };
	dsObj.SetCellBordersColor = function(Row, Column, LineType, NewVal) {return djProcessCommand(this, 'SetCellBordersColor', arguments); };
	dsObj.GetBordersLineWeight = function(CellType, LineType) {return djProcessCommand(this, 'GetBordersLineWeight', arguments); };
	dsObj.SetBordersLineWeight = function(CellType, LineType, LineWeight) {return djProcessCommand(this, 'SetBordersLineWeight', arguments); };
	dsObj.GetCellBordersLineWeight = function(Row, Column, LineType) {return djProcessCommand(this, 'GetCellBordersLineWeight', arguments); };
	dsObj.SetCellBordersLineWeight = function(Row, Column, LineType, LineWeight) {return djProcessCommand(this, 'SetCellBordersLineWeight', arguments); };
	dsObj.GetBordersVisibility = function(CellType, LineType) {return djProcessCommand(this, 'GetBordersVisibility', arguments); };
	dsObj.SetBordersVisibility = function(CellType, LineType, Visible) {return djProcessCommand(this, 'SetBordersVisibility', arguments); };
	dsObj.GetCellBordersVisibility = function(Row, Column, LineType) {return djProcessCommand(this, 'GetCellBordersVisibility', arguments); };
	dsObj.SetCellBordersVisibility = function(Row, Column, LineType, Visible) {return djProcessCommand(this, 'SetCellBordersVisibility', arguments); };
	dsObj.GetHorizontalMargin = function() {return djProcessCommand(this, 'GetHorizontalMargin', arguments); };
	dsObj.SetHorizontalMargin = function(Margin) {return djProcessCommand(this, 'SetHorizontalMargin', arguments); };
	dsObj.GetCellHorizontalMargin = function(Row, Column) {return djProcessCommand(this, 'GetCellHorizontalMargin', arguments); };
	dsObj.SetCellHorizontalMargin = function(Row, Column, Margin) {return djProcessCommand(this, 'SetCellHorizontalMargin', arguments); };
	dsObj.GetVerticalMargin = function() {return djProcessCommand(this, 'GetVerticalMargin', arguments); };
	dsObj.SetVerticalMargin = function(Margin) {return djProcessCommand(this, 'SetVerticalMargin', arguments); };
	dsObj.GetCellVerticalMargin = function(Row, Column) {return djProcessCommand(this, 'GetCellVerticalMargin', arguments); };
	dsObj.SetCellVerticalMargin = function(Row, Column, Margin) {return djProcessCommand(this, 'SetCellVerticalMargin', arguments); };
	dsObj.GetTextColor = function(CellType) {return djProcessCommand(this, 'GetTextColor', arguments); };
	dsObj.SetTextColor = function(CellType, NewVal) {return djProcessCommand(this, 'SetTextColor', arguments); };
	dsObj.GetCellTextColor = function(Row, Column) {return djProcessCommand(this, 'GetCellTextColor', arguments); };
	dsObj.SetCellTextColor = function(Row, Column, NewColor) {return djProcessCommand(this, 'SetCellTextColor', arguments); };
	dsObj.GetTextHeight = function(CellType) {return djProcessCommand(this, 'GetTextHeight', arguments); };
	dsObj.SetTextHeight = function(CellType, Height) {return djProcessCommand(this, 'SetTextHeight', arguments); };
	dsObj.GetCellTextHeight = function(Row, Column) {return djProcessCommand(this, 'GetCellTextHeight', arguments); };
	dsObj.SetCellTextHeight = function(Row, Column, Height) {return djProcessCommand(this, 'SetCellTextHeight', arguments); };
	dsObj.GetTextStyle = function(CellType) {return djProcessCommand(this, 'GetTextStyle', arguments); };
	dsObj.SetTextStyle = function(CellType, TextStyle) {return djProcessCommand(this, 'SetTextStyle', arguments); };
	dsObj.GetCellTextStyle = function(Row, Column) {return djProcessCommand(this, 'GetCellTextStyle', arguments); };
	dsObj.SetCellTextStyle = function(Row, Column, TextStyle) {return djProcessCommand(this, 'SetCellTextStyle', arguments); };
	dsObj.get_PrintStyle = function() {return djProcessCommand(this, 'get_PrintStyle', arguments); };
	dsObj.put_PrintStyle = function(NewVal) {return djProcessCommand(this, 'put_PrintStyle', arguments); };
	dsObj.get_Transparency = function() {return djProcessCommand(this, 'get_Transparency', arguments); };
	dsObj.put_Transparency = function(NewVal) {return djProcessCommand(this, 'put_Transparency', arguments); };
	//Add forward methods above this line
}
